org.jfree.chart.block

## Class CenterArrangement

- java.lang.Object
- - org.jfree.chart.block.CenterArrangement

All Implemented Interfaces:
  java.io.Serializable, Arrangement

    public class CenterArrangement
    extends java.lang.Object
    implements Arrangement, java.io.Serializable

Arranges a block in the center of its container. This class is immutable.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`CenterArrangement()` Creates a new instance.

### Method Summary

Methods
`void` `add(Block block, java.lang.Object key)` Adds a block to be managed by this instance.
`org.jfree.ui.Size2D` `arrange(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Calculates and sets the bounds of all the items in the specified container, subject to the given constraint.
`protected org.jfree.ui.Size2D` `arrangeFF(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the blocks in the container with the overall height and width specified as fixed constraints.
`protected org.jfree.ui.Size2D` `arrangeFN(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the blocks in the container with a fixed width and no height constraint.
`protected org.jfree.ui.Size2D` `arrangeFR(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the blocks in the container with a fixed with and a range constraint on the height.
`protected org.jfree.ui.Size2D` `arrangeNF(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the blocks with no width constraint and a fixed height constraint.
`protected org.jfree.ui.Size2D` `arrangeNN(BlockContainer container, java.awt.Graphics2D g2)` Arranges the blocks without any constraints.
`protected org.jfree.ui.Size2D` `arrangeRF(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the blocks in the container with a range constraint on the width and a fixed height.
`protected org.jfree.ui.Size2D` `arrangeRN(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the block with a range constraint on the width, and no constraint on the height.
`protected org.jfree.ui.Size2D` `arrangeRR(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the blocks with the overall width and height to fit within specified ranges.
`void` `clear()` Clears any cached information.
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CenterArrangement

    public CenterArrangement()

Creates a new instance.

### Method Detail

#### add

    public void add(Block block,
           java.lang.Object key)

Adds a block to be managed by this instance. This method is usually called by the `BlockContainer`, you shouldn't need to call it directly.

Specified by:
  `add` in interface `Arrangement`
Parameters:
  `block` - the block.
  `key` - a key that controls the position of the block.

#### arrange

    public org.jfree.ui.Size2D arrange(BlockContainer container,
                              java.awt.Graphics2D g2,
                              RectangleConstraint constraint)

Calculates and sets the bounds of all the items in the specified container, subject to the given constraint. The `Graphics2D` can be used by some items (particularly items containing text) to calculate sizing parameters.

Specified by:
  `arrange` in interface `Arrangement`
Parameters:
  `container` - the container whose items are being arranged.
  `g2` - the graphics device.
  `constraint` - the size constraint.
Returns:
  The size of the container after arrangement of the contents.

#### arrangeFN

    protected org.jfree.ui.Size2D arrangeFN(BlockContainer container,
                                java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

Arranges the blocks in the container with a fixed width and no height constraint.

Parameters:
  `container` - the container.
  `g2` - the graphics device.
  `constraint` - the constraint.
Returns:
  The size.

#### arrangeFR

    protected org.jfree.ui.Size2D arrangeFR(BlockContainer container,
                                java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

Arranges the blocks in the container with a fixed with and a range constraint on the height.

Parameters:
  `container` - the container.
  `g2` - the graphics device.
  `constraint` - the constraint.
Returns:
  The size following the arrangement.

#### arrangeFF

    protected org.jfree.ui.Size2D arrangeFF(BlockContainer container,
                                java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

Arranges the blocks in the container with the overall height and width specified as fixed constraints.

Parameters:
  `container` - the container.
  `g2` - the graphics device.
  `constraint` - the constraint.
Returns:
  The size following the arrangement.

#### arrangeRR

    protected org.jfree.ui.Size2D arrangeRR(BlockContainer container,
                                java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

Arranges the blocks with the overall width and height to fit within specified ranges.

Parameters:
  `container` - the container.
  `g2` - the graphics device.
  `constraint` - the constraint.
Returns:
  The size after the arrangement.

#### arrangeRF

    protected org.jfree.ui.Size2D arrangeRF(BlockContainer container,
                                java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

Arranges the blocks in the container with a range constraint on the width and a fixed height.

Parameters:
  `container` - the container.
  `g2` - the graphics device.
  `constraint` - the constraint.
Returns:
  The size following the arrangement.

#### arrangeRN

    protected org.jfree.ui.Size2D arrangeRN(BlockContainer container,
                                java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

Arranges the block with a range constraint on the width, and no constraint on the height.

Parameters:
  `container` - the container.
  `g2` - the graphics device.
  `constraint` - the constraint.
Returns:
  The size following the arrangement.

#### arrangeNN

    protected org.jfree.ui.Size2D arrangeNN(BlockContainer container,
                                java.awt.Graphics2D g2)

Arranges the blocks without any constraints. This puts all blocks into a single row.

Parameters:
  `container` - the container.
  `g2` - the graphics device.
Returns:
  The size after the arrangement.

#### arrangeNF

    protected org.jfree.ui.Size2D arrangeNF(BlockContainer container,
                                java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

Arranges the blocks with no width constraint and a fixed height constraint. This puts all blocks into a single row.

Parameters:
  `container` - the container.
  `g2` - the graphics device.
  `constraint` - the constraint.
Returns:
  The size after the arrangement.

#### clear

    public void clear()

Clears any cached information.

Specified by:
  `clear` in interface `Arrangement`

#### equals

    public boolean equals(java.lang.Object obj)

Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.